/*
Theme Name: Divi Child Theme
Theme URI: http://knihodilna.vyladene-kurzy.cz/
Description: Child Theme For Divi
Author: Hanka
Author URI: http://knihodilna.vyladene-kurzy.cz/
Version: 1.0.0
Template: Divi
*/

/* Odsazení odrážkového seznamu */
.et_pb_text ul {
    line-height: 1.5; /* Zachová původní řádkování */
}

.et_pb_text ul li {
    padding-left: 7px; /* Zvětší mezeru mezi tečkou a textem */
    margin-bottom: 15px; /* Přidá mezeru mezi položkami seznamu */
}

.et_pb_text ul li:last-child {
    margin-bottom: 0; /* Odstraní mezeru za poslední položkou */
}

/* Kontaktní údaje v patičce na stránce Kontakty se podtrhnou po najetí myši */
.et_pb_text_inner .kontaktni-udaje a {
  text-decoration: none !important;
  color: #321f69 !important;
  transition: color 0.3s ease, text-decoration-color 0.3s ease !important;
  padding: 0px !important;
}

.et_pb_text_inner .kontaktni-udaje a:hover,
.et_pb_text_inner .kontaktni-udaje a:focus {
  text-decoration: underline !important;
  text-decoration-thickness: 1px !important;
  text-underline-offset: 4px !important;
  text-decoration-skip-ink: auto !important;
  text-decoration-color: rgba(50,31,105,0.75) !important;
  transform: none !important;
}

/* Stylování odkazu */
.link-pink-hover {
  color: rgba(50,31,105,0.8);                    /* výchozí barva */
  text-decoration: underline;        /* podtržení */
  text-decoration-color: rgba(50,31,105,0.75); /* barva podtržení s 75% opacity */
  text-underline-offset: 4px;        /* vzdálenost podtržení od textu */
  text-decoration-skip-ink: auto;    /* vynechá čáru pod "nožičkami" písmen */
  font-weight: 300;                  /* tloušťka písma */
  position: relative;
  transition: color 0.3s ease, text-decoration 0.3s ease;
  text-decoration-thickness: 1px !important;
}

/* Efekt po najetí myší */
.link-pink-hover:hover {
  text-decoration: none;             /* zruší podtržení */
}

/* Odstraní podstín z textu uvnitř slideru s referencemi */
.et_pb_slider .et_pb_slide_content {
  text-shadow: none !important;
  box-shadow: none !important;
  filter: none !important;
}

/* změní řádkování u tlačítek */
.et_pb_button {
    line-height: 1.3 !important;
}

/* CSS pro hover efekt na odkazy v patičce webu */
.et-l.et-l--footer p a {
    text-decoration: none;
	
    transition: transform 0.3s ease;
    display: inline-block;
    color: rgba(50,31,105,0.8) !important;
    transform: translateX(0); /* Explicitně nastavíme výchozí pozici */
    will-change: transform; /* Optimalizace pro prohlížeč */
}

.et-l.et-l--footer p a:hover {
    text-decoration: none;
    transform: translateX(7px);
    color: #321f69;
}

/* Stylování generovaného jména a příjmení autora v přehledu knih na stránce Knihkupectví */
  .product-author {
	font-weight: 300;
    letter-spacing: 1.2px;
	line-height: 1.3;
    display: block;
    font-size: 14px;
	text-transform: uppercase;
    color: #321f69;
	opacity: 0.75;
    margin-top: -3px;
    margin-bottom: 19px;
}

.cmplz-cookiebanner .cmplz-message {
    text-align: center;
}

.cmplz-cookiebanner .cmplz-message a {
    text-decoration: underline !important;
}

.cmplz-cookiebanner .cmplz-links {
    display: none !important;
}

.cmplz-cookiebanner .cmplz-btn {
    letter-spacing: 0.75px;
}

.cmplz-btn:hover,
.cmplz-btn:focus {
    background-color: #a3b800 !important;
    border-color: #a3b800 !important;
    color: #ffffff !important;
}

/* Ostyluj nový nadpis cookies lišty*/
.cookie-nadpis {
    display: block;
    font-size: 1.2em;
	line-height: 1.2;
    font-weight: 400;
    margin-bottom: -10px;
	letter-spacing: 0.25px;
	color: #321f69;
}

.cmplz-cookiebanner {
    padding-top: 8px !important;
    padding-bottom: 26px !important;
	padding-left: 26px !important;
	padding-right: 26px !important;
}